%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.1, (the "License"); you may not use this file except in
%% compliance with the License. You should have received a copy of the
%% Erlang Public License along with this software. If not, it can be
%% retrieved via the world wide web at http://www.erlang.org/.
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Initial Developer of the Original Code is Ericsson Utvecklings AB.
%% Portions created by Ericsson are Copyright 1999, Ericsson Utvecklings
%% AB. All Rights Reserved.''
%% 
%%     $Id$
%%
-module(erl.lang.math).

-export([acos/1, acosh/1, asin/1, asinh/1, atan/1, atan2/2, atanh/1,
	 cos/1, cosh/1, e/0, erf/1, erfc/1, exp/1, log/1, log10/1, pi/0,
	 pow/2, sin/1, sinh/1, sqrt/1, tan/1, tanh/1]).


pi() ->
    3.14159265358979323846.

e() ->
    erl.lang.math:exp(1).

% @spec (number()) -> float()
acos(X) ->
    erl.lang.math:acos(X).   % Built-in function

% @spec (number()) -> float()
acosh(X) ->
    erl.lang.math:acosh(X).   % Built-in function

% @spec (number()) -> float()
asin(X) ->
    erl.lang.math:asin(X).   % Built-in function

% @spec (number()) -> float()
asinh(X) ->
    erl.lang.math:asinh(X).   % Built-in function

% @spec (number()) -> float()
atan(X) ->
    erl.lang.math:atan(X).   % Built-in function

% @spec (number(), number()) -> float()
atan2(X,Y) ->
    erl.lang.math:atan2(X,Y).   % Built-in function

% @spec (number()) -> float()
atanh(X) ->
    erl.lang.math:atanh(X).   % Built-in function

% @spec (number()) -> float()
cos(X) ->
    erl.lang.math:cos(X).   % Built-in function

% @spec (number()) -> float()
cosh(X) ->
    erl.lang.math:cosh(X).   % Built-in function

% @spec (number()) -> float()
erf(X) ->
    erl.lang.math:erf(X).   % Built-in function

% @spec (number()) -> float()
erfc(X) ->
    erl.lang.math:erfc(X).   % Built-in function

% @spec (number()) -> float()
exp(X) ->
    erl.lang.math:exp(X).   % Built-in function

% @spec (number()) -> float()
log(X) ->
    erl.lang.math:log(X).   % Built-in function

% @spec (number()) -> float()
log10(X) ->
    erl.lang.math:log10(X).   % Built-in function

% @spec (number(), number()) -> float()
pow(X,Y) ->
    erl.lang.math:pow(X,Y).   % Built-in function

% @spec (number()) -> float()
sin(X) ->
    erl.lang.math:sin(X).   % Built-in function

% @spec (number()) -> float()
sinh(X) ->
    erl.lang.math:sinh(X).   % Built-in function

% @spec (number()) -> float()
sqrt(X) ->
    erl.lang.math:sqrt(X).   % Built-in function

% @spec (number()) -> float()
tan(X) ->
    erl.lang.math:tan(X).   % Built-in function

% @spec (number()) -> float()
tanh(X) ->
    erl.lang.math:tanh(X).   % Built-in function
