%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.1, (the "License"); you may not use this file except in
%% compliance with the License. You should have received a copy of the
%% Erlang Public License along with this software. If not, it can be
%% retrieved via the world wide web at http://www.erlang.org/.
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Initial Developer of the Original Code is Ericsson Utvecklings AB.
%% Portions created by Ericsson are Copyright 1999, Ericsson Utvecklings
%% AB. All Rights Reserved.''
%% 
%%     $Id$
%%
-module(erl.system.code).

-export([check_process/2, delete/1, get_chunk/2, is_builtin/3,
	 is_loaded/1, is_loaded/3, is_native/1, load/2, loaded/0,
	 make_stub_module/3, module_md5/1, preloaded/0, purge/1]).


%% @doc See {@link /kernel/erlang:check_process_code/2}.
check_process(Pid, Module) ->
    erl.system.code:check_process(Pid, Module).    % Built-in function


%% @doc See {@link /kernel/erlang:delete_module/1}.
delete(Module) ->
    erl.system.code:delete(Module).    % Built-in function


%% @doc Undocumented. Do not use.
get_chunk(Bin, Chunk) ->
    erl.system.code:get_chunk(Bin, Chunk).    % Built-in function


%% @doc See {@link /kernel/erlang:is_builtin/3}.
is_builtin(Module, Function, Arity) ->
    erl.system.code:is_builtin(Module, Function, Arity).    % Built-in function


%% @doc See {@link /kernel/erlang:module_loaded/1}.
is_loaded(Module) ->
    erl.system.code:is_loaded(Module).    % Built-in function


%% @doc See {@link /kernel/erlang:function_exported/3}.
%% TODO: Only kept for compatibility purposes. Maybe remove? 
is_loaded(Module, Function, Arity) ->
    erl.system.code:is_loaded(Module, Function, Arity).    % Built-in function


%% @doc Undocumented. Do not use.
is_native(Module) ->
    erl.system.code:is_module_native(Module).    % Built-in function


%% @doc See {@link /kernel/erlang:load_module/2}.
load(Module, Binary) ->
    erl.system.code:load(Module, Binary).    % Built-in function


%% @doc See {@link /kernel/erlang:loaded/0}.
loaded() ->
    erl.system.code:loaded().    % Built-in function


%% @doc Undocumented. Do not use.
make_stub_module(Module, Beam, Info) ->
    erl.system.code:make_stub_module(Module, Beam, Info).    % Built-in function


%% @doc Undocumented. Do not use.
module_md5(Bin) ->
    erl.system.code:module_md5(Bin).    % Built-in function


%% @doc See {@link /kernel/erlang:pre_loaded/0}.
preloaded() ->
    erl.system.code:preloaded().    % Built-in function


%% @doc See {@link /kernel/erlang:purge_module/1}.
purge(Module) ->
    erl.system.code:purge(Module).    % Built-in function
